/// [feTurbulence](https://www.w3.org/TR/SVG11/filters.html#feTurbulenceElement)
#[derive(Debug)]
pub struct Turbulence {
    base_frequency: (f32, f32),
    num_octaves: (u16),
    seed: u32,
    stich_tiles: StitchTiles,
    // attr name: type
    noise_type: NoiseType,
}

#[derive(Debug)]
enum StitchTiles {
    Stitch,
    NoStitch,
}
#[derive(Debug)]
enum NoiseType {
    Turbulence,
    FractalNoise,
}
